Bug 142623 - PDFs don't snapshot properly in iOS Safari
Summary: PDFs don't snapshot properly in iOS Safari
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: 528+ (Nightly build)
Hardware: iPhone / iPad iOS 8.2
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2015-03-12 08:15 PDT by Ian Henderson
Modified: 2015-04-10 19:08 PDT (History)
4 users (show)

See Also:


Attachments
patch (2.96 KB, patch)
2015-03-12 08:36 PDT, Ian Henderson
no flags Details | Formatted Diff | Diff
patch w/ corrected changelog (2.94 KB, patch)
2015-03-12 08:38 PDT, Ian Henderson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Henderson 2015-03-12 08:15:04 PDT
PDFs show up as blank white tabs in iOS Safari's tab view.  That's because we don't snapshot custom content views in WKWebView.
Comment 1 Ian Henderson 2015-03-12 08:36:34 PDT
Created attachment 248517 [details]
patch
Comment 2 Ian Henderson 2015-03-12 08:38:40 PDT
Created attachment 248518 [details]
patch w/ corrected changelog
Comment 3 WebKit Commit Bot 2015-03-12 10:27:57 PDT
Comment on attachment 248518 [details]
patch w/ corrected changelog

Clearing flags on attachment: 248518

Committed r181443: <http://trac.webkit.org/changeset/181443>
Comment 4 WebKit Commit Bot 2015-03-12 10:28:00 PDT
All reviewed patches have been landed.  Closing bug.
Comment 5 David Kilzer (:ddkilzer) 2015-03-13 11:43:39 PDT
<rdar://problem/18283459>
Comment 6 David Kilzer (:ddkilzer) 2015-03-13 11:43:52 PDT
Thanks Ian!
Comment 7 Ian Henderson 2015-03-14 02:18:04 PDT
Thank *you* (and dbates specifically I suppose) for supporting the public simulator (which made it so I could actually test this change).